[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TFont.CharSet

Indicates the character set used in the font.

## Declaration

Source position: graphics.pp line 575

`published property TFont.CharSet : TFontCharSet read GetCharSet write SetCharSet default DEFAULT_CHARSET;`

## Description

CharSet is a TFontCharSet property which contains a numeric value representing the character set in the font instance. The default value for the property is defined in the DEFAULT_CHARSET constant, and indicates that the default character set for the operating system or platform is used.

Setting a new value for the property causes the font Reference class to be re-created, and Changed is called to signal the OnChange event handler (when assigned).

CharSet is updated when the font data is read for the class instance, and when Assign is called to copy values from another font instance.